package org.wfc.omada.api.monitor.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * ApChannelStats
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:38:12.484+08:00[Asia/Shanghai]")

public class ApChannelStats   {
  @JsonProperty("2g channel stat")
  @Valid
  private List<ApChannelStat> _2gChannelStat = null;

  @JsonProperty("5g channel stat")
  @Valid
  private List<ApChannelStat> _5gChannelStat = null;

  @JsonProperty("6g channel stat")
  @Valid
  private List<ApChannelStat> _6gChannelStat = null;

  public ApChannelStats _2gChannelStat(List<ApChannelStat> _2gChannelStat) {
    this._2gChannelStat = _2gChannelStat;
    return this;
  }

  public ApChannelStats add2gChannelStatItem(ApChannelStat _2gChannelStatItem) {
    if (this._2gChannelStat == null) {
      this._2gChannelStat = new ArrayList<>();
    }
    this._2gChannelStat.add(_2gChannelStatItem);
    return this;
  }

  /**
   * 2g channel stat
   * @return _2gChannelStat
  */
  @ApiModelProperty(value = "2g channel stat")

  @Valid

  public List<ApChannelStat> get2gChannelStat() {
    return _2gChannelStat;
  }

  public void set2gChannelStat(List<ApChannelStat> _2gChannelStat) {
    this._2gChannelStat = _2gChannelStat;
  }

  public ApChannelStats _5gChannelStat(List<ApChannelStat> _5gChannelStat) {
    this._5gChannelStat = _5gChannelStat;
    return this;
  }

  public ApChannelStats add5gChannelStatItem(ApChannelStat _5gChannelStatItem) {
    if (this._5gChannelStat == null) {
      this._5gChannelStat = new ArrayList<>();
    }
    this._5gChannelStat.add(_5gChannelStatItem);
    return this;
  }

  /**
   * 5g channel stat
   * @return _5gChannelStat
  */
  @ApiModelProperty(value = "5g channel stat")

  @Valid

  public List<ApChannelStat> get5gChannelStat() {
    return _5gChannelStat;
  }

  public void set5gChannelStat(List<ApChannelStat> _5gChannelStat) {
    this._5gChannelStat = _5gChannelStat;
  }

  public ApChannelStats _6gChannelStat(List<ApChannelStat> _6gChannelStat) {
    this._6gChannelStat = _6gChannelStat;
    return this;
  }

  public ApChannelStats add6gChannelStatItem(ApChannelStat _6gChannelStatItem) {
    if (this._6gChannelStat == null) {
      this._6gChannelStat = new ArrayList<>();
    }
    this._6gChannelStat.add(_6gChannelStatItem);
    return this;
  }

  /**
   * 6g channel stat
   * @return _6gChannelStat
  */
  @ApiModelProperty(value = "6g channel stat")

  @Valid

  public List<ApChannelStat> get6gChannelStat() {
    return _6gChannelStat;
  }

  public void set6gChannelStat(List<ApChannelStat> _6gChannelStat) {
    this._6gChannelStat = _6gChannelStat;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ApChannelStats apChannelStats = (ApChannelStats) o;
    return Objects.equals(this._2gChannelStat, apChannelStats._2gChannelStat) &&
        Objects.equals(this._5gChannelStat, apChannelStats._5gChannelStat) &&
        Objects.equals(this._6gChannelStat, apChannelStats._6gChannelStat);
  }

  @Override
  public int hashCode() {
    return Objects.hash(_2gChannelStat, _5gChannelStat, _6gChannelStat);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ApChannelStats {\n");
    
    sb.append("    _2gChannelStat: ").append(toIndentedString(_2gChannelStat)).append("\n");
    sb.append("    _5gChannelStat: ").append(toIndentedString(_5gChannelStat)).append("\n");
    sb.append("    _6gChannelStat: ").append(toIndentedString(_6gChannelStat)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

